# This config file is meant to be edited once, before the site is deployed.
# After that, new edits are rarely needed.

# Usually, you need only to change `title`, `email`, `description`, `baseurl`, `url` and `date`.
# To see complete guide, please take a look into `readme.md` file.

# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'bundle exec jekyll serve'. If you change this file, please restart the server process.

# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.email }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.
title: R3 howto-cards for Data Management and IT.
email: lcsb-sysadmins@uni.lu
description: >- # this means to ignore newlines until "baseurl:"
  Bioinformatics Core assists LCSB researchers with the organization, management, and curation of research data through its R3 initiative.
  This page is an index for lab cards  that are intended to provide practical guidance  in  implementing Data Management, Data Protection and IT setup.

# URL settings (the most difficult part, please refer to the guide)
baseurl: "/howto-cards"  # the subpath of your site, e.g. /gitlab-repository-name
url: "https://howto.lcsb.uni.lu"  # the base hostname & protocol for your site, e.g. http://gitlab-namespace-name.pages.uni.lu/

# Banner settings
banner: howto-card  # When you have custom images, change this setting's value to the name of the folder containing them
logo: small  # Change to "big" (without quotas) in case of having broad logo
date: "2020"

# Is internal or external?
internal: false

# Social media icon settings
twitter_username: uni_lu
facebook_username: uni.lu
linkedin_schoolname: university-of-luxembourg

banner_link: https://howto.lcsb.uni.lu/

# Produces a cleaner folder structure when using categories
permalink: /:year/:month/:title.html

# Pagination Settings
pagination:
  enabled: true
  title: ':title - page :num of :max'
  per_page: 7
  permalink: '/page/:num/'
  limit: 0
  sort_field: 'date'
  sort_reverse: true
  trail:
    before: 2
    after: 2

# Build settings (no need to touch these)
markdown: kramdown
theme: jekyll-theme-lcsb-default
plugins:
  - jekyll-feed
  - jekyll-paginate-v2
  - jekyll-redirect-from
  - jekyll-spaceship

# These settings are used to display share link to howto.lcsb.uni.lu
# The display logic itself is in the template
share_url: https://howto.lcsb.uni.lu/?
include_link_index: 4

# These values are injected into cards
defaults:
  -
    scope:
      path: "external/*"
    values:
      include_link: true
      searchable: 1.0
  - scope:  # adding og:image to the SEO's metadata
      path: ""
    values:
      image: /assets/favicon/apple-touch-icon.png
      preventCaching: true

# GDPR banner settings
banner_title: >-
  This website needs some cookies and similar means to function.
banner_text: >-
  If you permit us, we will use those means to collect data on your visits for aggregated statistics to improve our service.
banner_accept_text: >-
  Accept cookies for aggregated statistics
banner_refuse_text: >-
  No thanks, only technically necessary cookies
banner_more_text: >-
  More information
doNotTrack_text: >-
  Do Not Track is enabled
cookies_expire: 180 # days
analyticsurl: https://analytics.lcsb.uni.lu/hub/
lapurl: https://analytics.lcsb.uni.lu/lap/
siteID: 3 # you get this siteID by sending an email to lcsb-r3@uni.lu
cookieName: lap
accept_all_text: >-
  Aggregate statistics cookies accepted
only_necessary_text: >-
  Only necessary cookies accepted
path_policy: privacy-policy
logo_policy: https://analytics.lcsb.uni.lu/lap/static/logos/r3-logo.svg
timeout_hidebanner: 500 # milliseconds
cookieDomain: 'howto.lcsb.uni.lu' # track visitors across all subdomains of a given domain; set to * to ignore

# Exclude from processing. (no need to touch these)
# The following items will not be processed, by default. Create a custom list
# to override the default setting.
# exclude:
#   - Gemfile
#   - Gemfile.lock
#   - node_modules
#   - vendor/bundle/
#   - vendor/cache/
#   - vendor/gems/
#   - vendor/ruby/
